# Poco

# template < typename charT >

# struct i_char_traits

Library: Foundation
Package: Core
Header: Poco/String.h

## Inheritance

Direct Base Classes: std::char_traits < charT >

All Base Classes: std::char_traits < charT >

## Member Summary

Member Functions: compare, eq, find, lt, ne

## Member Functions

### compare

static int compare(
const charT * s1,
const charT * s2,
std::size_t n
);

### eq

inline static bool eq(
charT c1,
charT c2
);

### find

static const charT * find(
const charT * s,
int n,
charT a
);

### lt

inline static bool lt(
charT c1,
charT c2
);

### ne

inline static bool ne(
charT c1,
charT c2
);